Index: trunk/Cocoa/Pester/Source/Manip.pm
===================================================================
--- trunk/Cocoa/Pester/Source/Manip.pm	(revision 617)
+++ trunk/Cocoa/Pester/Source/Manip.pm	(revision 618)
@@ -4762,9 +4666,9 @@
     $dm=0;
     if ($dy>0) {
-      $tmp=&DateCalc_DateDelta($date1,"+$dy:0:0:0:0:0:0",\$err,0);
-      if (&Date_Cmp($tmp,$date2)>0) {
+      $tmp=_DateCalc_DateDelta($date1,"+$dy:0:0:0:0:0:0",\$err,0);
+      if (Date_Cmp($tmp,$date2)>0) {
         $dy--;
         $tmp=$date1;
-        $tmp=&DateCalc_DateDelta($date1,"+$dy:0:0:0:0:0:0",\$err,0)
+        $tmp=_DateCalc_DateDelta($date1,"+$dy:0:0:0:0:0:0",\$err,0)
           if ($dy>0);
         $dm=12;
@@ -4776,9 +4680,9 @@
     $dm+=$m2-$m1;
     if ($dm>0) {
-      $tmp=&DateCalc_DateDelta($date1,"+0:$dm:0:0:0:0:0",\$err,0);
-      if (&Date_Cmp($tmp,$date2)>0) {
+      $tmp=_DateCalc_DateDelta($date1,"+0:$dm:0:0:0:0:0",\$err,0);
+      if (Date_Cmp($tmp,$date2)>0) {
         $dm--;
         $tmp=$date1;
-        $tmp=&DateCalc_DateDelta($date1,"+0:$dm:0:0:0:0:0",\$err,0)
+        $tmp=_DateCalc_DateDelta($date1,"+0:$dm:0:0:0:0:0",\$err,0)
           if ($dm>0);
       }
@@ -4789,6 +4693,6 @@
     # Aug 3 (Monday) -> Sep 3 (Sunday) -> Sep 4 (Monday)  = 1 month
     if ($mode==2) {
-      if (! &Date_IsWorkDay($date1,0)) {
-        $date1=&Date_NextWorkDay($date1,0,1);
+      if (! Date_IsWorkDay($date1,0)) {
+        $date1=Date_NextWorkDay($date1,0,1);
       }
     }
@@ -4799,6 +4703,6 @@
     $dd=0;
     while (1) {
-      $tmp=&Date_NextWorkDay($date1,1,1);
-      if (&Date_Cmp($tmp,$date2)<=0) {
+      $tmp=Date_NextWorkDay($date1,1,1);
+      if (Date_Cmp($tmp,$date2)<=0) {
         $dd++;
         $date1=$tmp;
@@ -4809,5 +4713,5 @@
 
   } else {
-    ($y1,$m1,$d1)=( &Date_Split($date1, 1) )[0..2];
+    ($y1,$m1,$d1)=( _Date_Split($date1, 1) )[0..2];
     $dd=0;
     # If we're jumping across months, set $d1 to the first of the next month
@@ -4815,12 +4719,12 @@
     # of this month)
     if ($m1!=$m2) {
-      $d_in_m[2]=29  if (&Date_LeapYear($y1));
+      $d_in_m[2]=29  if (Date_LeapYear($y1));
       $dd=$d_in_m[$m1]-$d1+1;
       $d1=1;
-      $tmp=&DateCalc_DateDelta($date1,"+0:0:0:$dd:0:0:0",\$err,0);
-      if (&Date_Cmp($tmp,$date2)>0) {
+      $tmp=_DateCalc_DateDelta($date1,"+0:0:0:$dd:0:0:0",\$err,0);
+      if (Date_Cmp($tmp,$date2)>0) {
         $dd--;
         $d1--;
-        $tmp=&DateCalc_DateDelta($date1,"+0:0:0:$dd:0:0:0",\$err,0);
+        $tmp=_DateCalc_DateDelta($date1,"+0:0:0:$dd:0:0:0",\$err,0);
       }
       $date1=$tmp;
@@ -4830,8 +4734,8 @@
     if ($d1<$d2) {
       $ddd=$d2-$d1;
-      $tmp=&DateCalc_DateDelta($date1,"+0:0:0:$ddd:0:0:0",\$err,0);
-      if (&Date_Cmp($tmp,$date2)>0) {
+      $tmp=_DateCalc_DateDelta($date1,"+0:0:0:$ddd:0:0:0",\$err,0);
+      if (Date_Cmp($tmp,$date2)>0) {
         $ddd--;
-        $tmp=&DateCalc_DateDelta($date1,"+0:0:0:$ddd:0:0:0",\$err,0);
+        $tmp=_DateCalc_DateDelta($date1,"+0:0:0:$ddd:0:0:0",\$err,0);
       }
       $date1=$tmp;
@@ -4842,21 +4746,21 @@
   # in business mode, make sure h1 comes before h2 (if not find delta between
   # now and end of day and move to start of next business day)
-  $d1=( &Date_Split($date1, 1) )[2];
+  $d1=( _Date_Split($date1, 1) )[2];
   $dh=$dmn=$ds=0;
   if ($mode==2 || $mode==3  and  $d1 != $d2) {
-    $tmp=&Date_SetTime($date1,$Cnf{"WorkDayEnd"});
-    $tmp=&DateCalc_DateDelta($tmp,"+0:0:0:0:0:1:0")
+    $tmp=Date_SetTime($date1,$Cnf{"WorkDayEnd"});
+    $tmp=_DateCalc_DateDelta($tmp,"+0:0:0:0:0:1:0")
       if ($Cnf{"WorkDay24Hr"});
-    $tmp=&DateCalc_DateDate($date1,$tmp,0);
-    ($tmp,$tmp,$tmp,$tmp,$dh,$dmn,$ds)=&Delta_Split($tmp);
-    $date1=&Date_NextWorkDay($date1,1,0);
-    $date1=&Date_SetTime($date1,$Cnf{"WorkDayBeg"});
-    $d1=( &Date_Split($date1, 1) )[2];
+    $tmp=_DateCalc_DateDate($date1,$tmp,0);
+    ($tmp,$tmp,$tmp,$tmp,$dh,$dmn,$ds)=_Delta_Split($tmp);
+    $date1=Date_NextWorkDay($date1,1,0);
+    $date1=Date_SetTime($date1,$Cnf{"WorkDayBeg"});
+    $d1=( _Date_Split($date1, 1) )[2];
     confess "ERROR: DateCalc DateDate Business.\n"  if ($d1 != $d2);
   }
 
   # Hours, minutes, seconds
-  $tmp=&DateCalc_DateDate($date1,$date2,0);
-  @tmp=&Delta_Split($tmp);
+  $tmp=_DateCalc_DateDate($date1,$date2,0);
+  @tmp=_Delta_Split($tmp);
   $dh  += $tmp[4];
   $dmn += $tmp[5];
@@ -4864,15 +4768,15 @@
 
   $tmp="$sign$dy:$dm:0:$dd:$dh:$dmn:$ds";
-  &Delta_Normalize($tmp,$mode);
-}
-
-sub DateCalc_DeltaDelta {
-  print "DEBUG: DateCalc_DeltaDelta\n"  if ($Curr{"Debug"} =~ /trace/);
+  _Delta_Normalize($tmp,$mode);
+}
+
+sub _DateCalc_DeltaDelta {
+  print "DEBUG: _DateCalc_DeltaDelta\n"  if ($Curr{"Debug"} =~ /trace/);
   my($D1,$D2,$mode)=@_;
   my(@delta1,@delta2,$i,$delta,@delta)=();
   $mode=0  if (! defined $mode);
 
-  @delta1=&Delta_Split($D1);
-  @delta2=&Delta_Split($D2);
+  @delta1=_Delta_Split($D1);
+  @delta2=_Delta_Split($D2);
   for ($i=0; $i<7; $i++) {
     $delta[$i]=$delta1[$i]+$delta2[$i];
@@ -4881,10 +4785,10 @@
 
   $delta=join(":",@delta);
-  $delta=&Delta_Normalize($delta,$mode);
+  $delta=_Delta_Normalize($delta,$mode);
   return $delta;
 }
 
-sub DateCalc_DateDelta {
-  print "DEBUG: DateCalc_DateDelta\n"  if ($Curr{"Debug"} =~ /trace/);
+sub _DateCalc_DateDelta {
+  print "DEBUG: _DateCalc_DateDelta\n"  if ($Curr{"Debug"} =~ /trace/);
   my($D1,$D2,$errref,$mode)=@_;
   my($date)=();
@@ -4907,6 +4811,6 @@
 
   # Date, delta
-  my($y,$m,$d,$h,$mn,$s)=&Date_Split($D1, 1);
-  my($dy,$dm,$dw,$dd,$dh,$dmn,$ds)=&Delta_Split($D2);
+  my($y,$m,$d,$h,$mn,$s)=_Date_Split($D1, 1);
+  my($dy,$dm,$dw,$dd,$dh,$dmn,$ds)=_Delta_Split($D2);
 
   # do the month/year part
@@ -4915,6 +4819,6 @@
     $y = "0$y";
   }
-  &ModuloAddition(-12,$dm,\$m,\$y);   # -12 means 1-12 instead of 0-11
-  $d_in_m[2]=29  if (&Date_LeapYear($y));
+  _ModuloAddition(-12,$dm,\$m,\$y);   # -12 means 1-12 instead of 0-11
+  $d_in_m[2]=29  if (Date_LeapYear($y));
 
   # if we have gone past the last day of a month, move the date back to
@@ -4928,7 +4832,7 @@
     $dd += $dw*7;
   } else {
-    $date=&DateCalc_DateDelta(&Date_Join($y,$m,$d,$h,$mn,$s),
+    $date=_DateCalc_DateDelta(_Date_Join($y,$m,$d,$h,$mn,$s),
                               "+0:0:$dw:0:0:0:0",0);
-    ($y,$m,$d,$h,$mn,$s)=&Date_Split($date, 1);
+    ($y,$m,$d,$h,$mn,$s)=_Date_Split($date, 1);
   }
 
@@ -4937,13 +4841,13 @@
   if ($mode==2 || $mode==3) {
     $d=$d_in_m[$m] if ($d>$d_in_m[$m]);
-    $date=&Date_NextWorkDay(&Date_Join($y,$m,$d,$h,$mn,$s),0,1);
-    ($y,$m,$d,$h,$mn,$s)=&Date_Split($date, 1);
+    $date=Date_NextWorkDay(_Date_Join($y,$m,$d,$h,$mn,$s),0,1);
+    ($y,$m,$d,$h,$mn,$s)=_Date_Split($date, 1);
   }
 
   # seconds, minutes, hours
-  &ModuloAddition(60,$ds,\$s,\$mn);
+  _ModuloAddition(60,$ds,\$s,\$mn);
   if ($mode==2 || $mode==3) {
     while (1) {
-      &ModuloAddition(60,$dmn,\$mn,\$h);
+      _ModuloAddition(60,$dmn,\$mn,\$h);
       $h+= $dh;
 
@@ -4973,6 +4877,6 @@
 
   } else {
-    &ModuloAddition(60,$dmn,\$mn,\$h);
-    &ModuloAddition(24,$dh,\$h,\$d);
+    _ModuloAddition(60,$dmn,\$mn,\$h);
+    _ModuloAddition(24,$dh,\$h,\$d);
   }
 
@@ -4987,12 +4891,12 @@
   if ($mode==2 || $mode==3) {
     if ($dd>=0) {
-      $date=&Date_NextWorkDay(&Date_Join($y,$m,$d,$h,$mn,$s),$dd,1);
+      $date=Date_NextWorkDay(_Date_Join($y,$m,$d,$h,$mn,$s),$dd,1);
     } else {
-      $date=&Date_PrevWorkDay(&Date_Join($y,$m,$d,$h,$mn,$s),-$dd,1);
-    }
-    ($y,$m,$d,$h,$mn,$s)=&Date_Split($date, 1);
+      $date=Date_PrevWorkDay(_Date_Join($y,$m,$d,$h,$mn,$s),-$dd,1);
+    }
+    ($y,$m,$d,$h,$mn,$s)=_Date_Split($date, 1);
 
   } else {
-    $d_in_m[2]=29  if (&Date_LeapYear($y));
+    $d_in_m[2]=29  if (Date_LeapYear($y));
     $d=$d_in_m[$m]  if ($d>$d_in_m[$m]);
     $d += $dd;
@@ -5002,5 +4906,5 @@
         $m=12;
         $y--;
-        if (&Date_LeapYear($y)) {
+        if (Date_LeapYear($y)) {
           $d_in_m[2]=29;
         } else {
@@ -5016,5 +4920,5 @@
         $m=1;
         $y++;
-        if (&Date_LeapYear($y)) {
+        if (Date_LeapYear($y)) {
           $d_in_m[2]=29;
         } else {
@@ -5029,9 +4933,9 @@
     return;
   }
-  &Date_Join($y,$m,$d,$h,$mn,$s);
-}
-
-sub Date_UpdateHolidays {
-  print "DEBUG: Date_UpdateHolidays\n"  if ($Curr{"Debug"} =~ /trace/);
+  _Date_Join($y,$m,$d,$h,$mn,$s);
+}
+
+sub _Date_UpdateHolidays {
+  print "DEBUG: _Date_UpdateHolidays\n"  if ($Curr{"Debug"} =~ /trace/);
   my($year)=@_;
   $Holiday{"year"}=$year;
@@ -5042,8 +4946,8 @@
 
   foreach $key (keys %{ $Holiday{"desc"} }) {
-    @tmp=&Recur_Split($key);
+    @tmp=_Recur_Split($key);
     if (@tmp) {
-      $tmp=&ParseDateString("${year}010100:00:00");
-      ($date)=&ParseRecur($key,$tmp,$tmp,($year+1)."-01-01");
+      $tmp=ParseDateString("${year}010100:00:00");
+      ($date)=ParseRecur($key,$tmp,$tmp,($year+1)."-01-01");
       next  if (! $date);
 
@@ -5051,21 +4955,21 @@
       # Date +/- Delta
       ($date,$delta)=($1,$2);
-      $tmp=&ParseDateString("$date $year");
+      $tmp=ParseDateString("$date $year");
       if ($tmp) {
         $date=$tmp;
       } else {
-        $date=&ParseDateString($date);
+        $date=ParseDateString($date);
         next  if ($date !~ /^$year/);
       }
-      $date=&DateCalc($date,$delta,\$err,0);
+      $date=DateCalc($date,$delta,\$err,0);
 
     } else {
       # Date
       $date=$key;
-      $tmp=&ParseDateString("$date $year");
+      $tmp=ParseDateString("$date $year");
       if ($tmp) {
         $date=$tmp;
       } else {
-        $date=&ParseDateString($date);
+        $date=ParseDateString($date);
         next  if ($date !~ /^$year/);
       }
@@ -5076,6 +4980,6 @@
 
 # This sets a Date::Manip config variable.
-sub Date_SetConfigVariable {
-  print "DEBUG: Date_SetConfigVariable\n"  if ($Curr{"Debug"} =~ /trace/);
+sub _Date_SetConfigVariable {
+  print "DEBUG: _Date_SetConfigVariable\n"  if ($Curr{"Debug"} =~ /trace/);
   my($var,$val)=@_;
 
@@ -5084,5 +4988,5 @@
   $Cnf{"PersonalCnf"}=$val,      return  if ($var =~ /^PersonalCnf$/i);
   $Cnf{"PersonalCnfPath"}=$val,  return  if ($var =~ /^PersonalCnfPath$/i);
-  &EraseHolidays(),              return  if ($var =~ /^EraseHolidays$/i);
+  EraseHolidays(),              return  if ($var =~ /^EraseHolidays$/i);
   $Cnf{"IgnoreGlobalCnf"}=1,     return  if ($var =~ /^IgnoreGlobalCnf$/i);
   $Cnf{"GlobalCnf"}=$val,        return  if ($var =~ /^GlobalCnf$/i);
@@ -5133,15 +5037,15 @@
 #
 # This takes either one date or two dates as arguments.
-sub Events_Calc {
-  print "DEBUG: Events_Calc\n"  if ($Curr{"Debug"} =~ /trace/);
+sub _Events_Calc {
+  print "DEBUG: _Events_Calc\n"  if ($Curr{"Debug"} =~ /trace/);
 
   my($date0,$date1)=@_;
 
   my($tmp);
-  $date0=&ParseDateString($date0);
+  $date0=ParseDateString($date0);
   return undef  if (! $date0);
   if ($date1) {
-    $date1=&ParseDateString($date1);
-    if (&Date_Cmp($date0,$date1)>0) {
+    $date1=ParseDateString($date1);
+    if (Date_Cmp($date0,$date1)>0) {
       $tmp=$date1;
       $date1=$date0;
@@ -5149,5 +5053,5 @@
     }
   } else {
-    $date1=&DateCalc_DateDelta($date0,"+0:0:0:0:0:0:1");
+    $date1=_DateCalc_DateDelta($date0,"+0:0:0:0:0:0:1");
   }
 
@@ -5160,15 +5064,15 @@
  DATE: while (@tmp) {
     ($d0,$d1,$del,$name)=splice(@tmp,0,4);
-    $d0=&ParseDateString($d0);
-    $d1=&ParseDateString($d1)   if ($d1);
-    $del=&ParseDateDelta($del)  if ($del);
+    $d0=ParseDateString($d0);
+    $d1=ParseDateString($d1)   if ($d1);
+    $del=ParseDateDelta($del)  if ($del);
     if ($d1) {
       if ($del) {
-        $d1=&DateCalc_DateDelta($d1,$del);
+        $d1=_DateCalc_DateDelta($d1,$del);
       }
     } else {
-      $d1=&DateCalc_DateDelta($d0,$del);
-    }
-    if (&Date_Cmp($d0,$d1)>0) {
+      $d1=_DateCalc_DateDelta($d0,$del);
+    }
+    if (Date_Cmp($d0,$d1)>0) {
       $tmp=$d1;
       $d1=$d0;
@@ -5177,17 +5081,17 @@
     #         [ date0,date1 )
     # [ d0,d1 )      OR     [ d0,d1 )
-    next DATE  if (&Date_Cmp($d1,$date0)<=0  ||
-                   &Date_Cmp($d0,$date1)>=0);
+    next DATE  if (Date_Cmp($d1,$date0)<=0  ||
+                   Date_Cmp($d0,$date1)>=0);
     #      [ date0,date1 )
     # [ d0,d1 )
     # [ d0,                  d1 )
-    if (&Date_Cmp($d0,$date0)<=0) {
+    if (Date_Cmp($d0,$date0)<=0) {
       push @{ $ret{$date0} },$name;
-      push @{ $ret{$d1} },"!$name"  if (&Date_Cmp($d1,$date1)<0);
+      push @{ $ret{$d1} },"!$name"  if (Date_Cmp($d1,$date1)<0);
       next DATE;
     }
     #      [ date0,date1 )
     #                 [ d0,d1 )
-    if (&Date_Cmp($d1,$date1)>=0) {
+    if (Date_Cmp($d1,$date1)>=0) {
       push @{ $ret{$d0} },$name;
       next DATE;
@@ -5212,5 +5116,5 @@
   # Sort them AND take into account the "!$name" entries.
   my(%tmp,$date,@tmp2,@ret);
-  @d=sort { &Date_Cmp($a,$b) } keys %ret;
+  @d=sort { Date_Cmp($a,$b) } keys %ret;
   foreach $date (@d) {
     @tmp=@{ $ret{$date} };
@@ -5237,6 +5141,6 @@
 
 # This parses the raw events list
-sub Events_ParseRaw {
-  print "DEBUG: Events_ParseRaw\n"  if ($Curr{"Debug"} =~ /trace/);
+sub _Events_ParseRaw {
+  print "DEBUG: _Events_ParseRaw\n"  if ($Curr{"Debug"} =~ /trace/);
 
   # Only need to be parsed once
@@ -5255,9 +5159,9 @@
     if ($#event == 0) {
 
-      if ($date0=&ParseDateString($event[0])) {
+      if ($date0=ParseDateString($event[0])) {
         #
         # date = event
         #
-        $tmp=&ParseDateString("$event[0] 00:00:00");
+        $tmp=ParseDateString("$event[0] 00:00:00");
         if ($tmp  &&  $tmp eq $date0) {
           $delta="+0:0:0:1:0:0:0";
@@ -5267,9 +5171,9 @@
         push @{ $Events{"dates"} },($date0,0,$delta,$name);
 
-      } elsif ($recur=&ParseRecur($event[0])) {
+      } elsif ($recur=ParseRecur($event[0])) {
         #
         # recur = event
         #
-        ($recur0,$recur1)=&Recur_Split($recur);
+        ($recur0,$recur1)=_Recur_Split($recur);
         if ($recur0) {
           if ($recur1) {
@@ -5297,17 +5201,17 @@
     } elsif ($#event == 1) {
 
-      if ($date0=&ParseDateString($event[0])) {
-
-        if ($date1=&ParseDateString($event[1])) {
+      if ($date0=ParseDateString($event[0])) {
+
+        if ($date1=ParseDateString($event[1])) {
           #
           # date ; date = event
           #
-          $tmp=&ParseDateString("$event[1] 00:00:00");
+          $tmp=ParseDateString("$event[1] 00:00:00");
           if ($tmp  &&  $tmp eq $date1) {
-            $date1=&DateCalc_DateDelta($date1,"+0:0:0:1:0:0:0");
+            $date1=_DateCalc_DateDelta($date1,"+0:0:0:1:0:0:0");
           }
           push @{ $Events{"dates"} },($date0,$date1,0,$name);
 
-        } elsif ($delta=&ParseDateDelta($event[1])) {
+        } elsif ($delta=ParseDateDelta($event[1])) {
           #
           # date ; delta = event
@@ -5321,7 +5225,7 @@
         }
 
-      } elsif ($recur=&ParseRecur($event[0])) {
-
-        if ($delta=&ParseDateDelta($event[1])) {
+      } elsif ($recur=ParseRecur($event[0])) {
+
+        if ($delta=ParseDateDelta($event[1])) {
           #
           # recur ; delta = event
@@ -5352,6 +5256,6 @@
 
 # This reads an init file.
-sub Date_InitFile {
-  print "DEBUG: Date_InitFile\n"  if ($Curr{"Debug"} =~ /trace/);
+sub _Date_InitFile {
+  print "DEBUG: _Date_InitFile\n"  if ($Curr{"Debug"} =~ /trace/);
   my($file)=@_;
   my($in)=new IO::File;
@@ -5369,5 +5273,5 @@
     if (/^\*holiday/i) {
       $section="holiday";
-      &EraseHolidays()  if ($section =~ /holiday/i  &&  $Cnf{"EraseHolidays"});
+      EraseHolidays()  if ($section =~ /holiday/i  &&  $Cnf{"EraseHolidays"});
       next;
     } elsif (/^\*events/i) {
@@ -5380,5 +5284,5 @@
         if (! /(.*\S)\s*=\s*(.*)$/);
       ($var,$val)=($1,$2);
-      &Date_SetConfigVariable($var,$val);
+      _Date_SetConfigVariable($var,$val);
 
     } elsif ($section =~ /holiday/i) {
@@ -5404,11 +5308,11 @@
 }
 
-# $flag=&Date_TimeCheck(\$h,\$mn,\$s,\$ampm);
+# $flag=_Date_TimeCheck(\$h,\$mn,\$s,\$ampm);
 #   Returns 1 if any of the fields are bad.  All fields are optional, and
 #   all possible checks are done on the data.  If a field is not passed in,
 #   it is set to default values.  If data is missing, appropriate defaults
 #   are supplied.
-sub Date_TimeCheck {
-  print "DEBUG: Date_TimeCheck\n"  if ($Curr{"Debug"} =~ /trace/);
+sub _Date_TimeCheck {
+  print "DEBUG: _Date_TimeCheck\n"  if ($Curr{"Debug"} =~ /trace/);
   my($h,$mn,$s,$ampm)=@_;
   my($tmp1,$tmp2,$tmp3)=();
@@ -5439,5 +5343,5 @@
     $$h="00"      if ($$h eq "");
     $$h="0$$h"    if (length($$h)==1);
-    return 1      if (! &IsInt($$h,0,23));
+    return 1      if (! _IsInt($$h,0,23));
     $tmp2="AM"    if ($$h<12);
     $tmp2="PM"    if ($$h>=12);
@@ -5449,15 +5353,15 @@
   $$mn="00"       if ($$mn eq "");
   $$mn="0$$mn"    if (length($$mn)==1);
-  return 1        if (! &IsInt($$mn,0,59));
+  return 1        if (! _IsInt($$mn,0,59));
 
   # Check seconds
   $$s="00"        if ($$s eq "");
   $$s="0$$s"      if (length($$s)==1);
-  return 1        if (! &IsInt($$s,0,59));
+  return 1        if (! _IsInt($$s,0,59));
 
   return 0;
 }
 
-# $flag=&Date_DateCheck(\$y,\$m,\$d,\$h,\$mn,\$s,\$ampm,\$wk);
+# $flag=_Date_DateCheck(\$y,\$m,\$d,\$h,\$mn,\$s,\$ampm,\$wk);
 #   Returns 1 if any of the fields are bad.  All fields are optional, and
 #   all possible checks are done on the data.  If a field is not passed in,
@@ -5467,6 +5371,6 @@
 #   If the flag UpdateHolidays is set, the year is set to
 #   CurrHolidayYear.
-sub Date_DateCheck {
-  print "DEBUG: Date_DateCheck\n"  if ($Curr{"Debug"} =~ /trace/);
+sub _Date_DateCheck {
+  print "DEBUG: _Date_DateCheck\n"  if ($Curr{"Debug"} =~ /trace/);
   my($y,$m,$d,$h,$mn,$s,$ampm,$wk)=@_;
   my($tmp1,$tmp2,$tmp3)=();
@@ -5485,7 +5389,7 @@
   # Check year.
   $$y=$curr_y             if ($$y eq "");
-  $$y=&Date_FixYear($$y)  if (length($$y)<4);
-  return 1                if (! &IsInt($$y,0,9999));
-  $d_in_m[2]=29           if (&Date_LeapYear($$y));
+  $$y=_Date_FixYear($$y)  if (length($$y)<4);
+  return 1                if (! _IsInt($$y,0,9999));
+  $d_in_m[2]=29           if (Date_LeapYear($$y));
 
   # Check month
@@ -5494,12 +5398,12 @@
     if (exists $Lang{$Cnf{"Language"}}{"MonthH"}{lc($$m)});
   $$m="0$$m"              if (length($$m)==1);
-  return 1                if (! &IsInt($$m,1,12));
+  return 1                if (! _IsInt($$m,1,12));
 
   # Check day
   $$d="01"                if ($$d eq "");
   $$d="0$$d"              if (length($$d)==1);
-  return 1                if (! &IsInt($$d,1,$d_in_m[$$m]));
+  return 1                if (! _IsInt($$d,1,$d_in_m[$$m]));
   if ($$wk) {
-    $tmp1=&Date_DayOfWeek($$m,$$d,$$y);
+    $tmp1=Date_DayOfWeek($$m,$$d,$$y);
     $tmp2=$Lang{$Cnf{"Language"}}{"WeekH"}{lc($$wk)}
       if (exists $Lang{$Cnf{"Language"}}{"WeekH"}{lc($$wk)});
@@ -5507,10 +5411,10 @@
   }
 
-  return &Date_TimeCheck($h,$mn,$s,$ampm);
+  return _Date_TimeCheck($h,$mn,$s,$ampm);
 }
 
 # Takes a year in 2 digit form and returns it in 4 digit form
-sub Date_FixYear {
-  print "DEBUG: Date_FixYear\n"  if ($Curr{"Debug"} =~ /trace/);
+sub _Date_FixYear {
+  print "DEBUG: _Date_FixYear\n"  if ($Curr{"Debug"} =~ /trace/);
   my($y)=@_;
   my($curr_y)=$Curr{"Y"};
@@ -5521,5 +5425,5 @@
 
   if (lc($Cnf{"YYtoYYYY"}) eq "c") {
-    $y1=substring($y,0,2);
+    $y1=substr($y,0,2);
     $y="$y1$y";
 
@@ -5547,8 +5451,8 @@
 }
 
-# &Date_NthWeekOfYear($y,$n);
+# _Date_NthWeekOfYear($y,$n);
 #   Returns a list of (YYYY,MM,DD) for the 1st day of the Nth week of the
 #   year.
-# &Date_NthWeekOfYear($y,$n,$dow,$flag);
+# _Date_NthWeekOfYear($y,$n,$dow,$flag);
 #   Returns a list of (YYYY,MM,DD) for the Nth DoW of the year.  If flag
 #   is nil, the first DoW of the year may actually be in the previous
@@ -5556,6 +5460,6 @@
 #   If flag is non-nil, the 1st DoW of the year refers to the 1st one
 #   actually in the year
-sub Date_NthWeekOfYear {
-  print "DEBUG: Date_NthWeekOfYear\n"  if ($Curr{"Debug"} =~ /trace/);
+sub _Date_NthWeekOfYear {
+  print "DEBUG: _Date_NthWeekOfYear\n"  if ($Curr{"Debug"} =~ /trace/);
   my($y,$n,$dow,$flag)=@_;
   my($m,$d,$err,$tmp,$date,%dow)=();
@@ -5574,24 +5478,24 @@
   }
 
-  $y=&Date_FixYear($y)  if (length($y)<4);
+  $y=_Date_FixYear($y)  if (length($y)<4);
   if ($Cnf{"Jan1Week1"}) {
-    $date=&Date_Join($y,1,1,0,0,0);
+    $date=_Date_Join($y,1,1,0,0,0);
   } else {
-    $date=&Date_Join($y,1,4,0,0,0);
-  }
-  $date=&Date_GetPrev($date,$Cnf{"FirstDay"},1);
-  $date=&Date_GetNext($date,$dow,1)  if ($dow ne "");
+    $date=_Date_Join($y,1,4,0,0,0);
+  }
+  $date=Date_GetPrev($date,$Cnf{"FirstDay"},1);
+  $date=Date_GetNext($date,$dow,1)  if ($dow ne "");
 
   if ($flag) {
-    ($tmp)=&Date_Split($date, 1);
+    ($tmp)=_Date_Split($date, 1);
     $n++  if ($tmp != $y);
   }
 
   if ($n>1) {
-    $date=&DateCalc_DateDelta($date,"+0:0:". ($n-1) . ":0:0:0:0",\$err,0);
+    $date=_DateCalc_DateDelta($date,"+0:0:". ($n-1) . ":0:0:0:0",\$err,0);
   } elsif ($n==0) {
-    $date=&DateCalc_DateDelta($date,"-0:0:1:0:0:0:0",\$err,0);
-  }
-  ($y,$m,$d)=&Date_Split($date, 1);
+    $date=_DateCalc_DateDelta($date,"-0:0:1:0:0:0:0",\$err,0);
+  }
+  ($y,$m,$d)=_Date_Split($date, 1);
   ($y,$m,$d);
 }
@@ -5603,5 +5507,5 @@
 # 8-bit international characters can be gotten by "\xXX".  I don't know
 # how to get 16-bit characters.  I've got to read up on perllocale.
-sub Char_8Bit {
+sub _Char_8Bit {
   my($hash)=@_;
 
@@ -5830,5 +5734,5 @@
 }
 
-# $hashref = &Date_Init_LANGUAGE;
+# $hashref = _Date_Init_LANGUAGE;
 #   This returns a hash containing all of the initialization for a
 #   specific language.  The hash elements are:
@@ -5912,6 +5816,6 @@
 # every language.
 
-sub Date_Init_English {
-  print "DEBUG: Date_Init_English\n"  if ($Curr{"Debug"} =~ /trace/);
+sub _Date_Init_English {
+  print "DEBUG: _Date_Init_English\n"  if ($Curr{"Debug"} =~ /trace/);
   my($d)=@_;
 
@@ -5964,5 +5868,5 @@
   $$d{"business"}=["business"];
 
-  $$d{"offset"}  =["yesterday","-0:0:0:1:0:0:0","tomorrow","+0:0:0:1:0:0:0","overmorrow","+0:0:0:2:0:0:0"];
+  $$d{"offset"}  =["yesterday","-0:0:0:1:0:0:0","tomorrow","+0:0:0:1:0:0:0","overmorrow","+0:0:0:2:0:0:0","ereyesterday","-0:0:0:2:0:0:0"];
   $$d{"times"}   =["noon","12:00:00","midnight","00:00:00"];
 
@@ -5984,9 +5888,9 @@
 }
 
-sub Date_Init_Italian {
-  print "DEBUG: Date_Init_Italian\n"  if ($Curr{"Debug"} =~ /trace/);
+sub _Date_Init_Italian {
+  print "DEBUG: _Date_Init_Italian\n"  if ($Curr{"Debug"} =~ /trace/);
   my($d)=@_;
   my(%h)=();
-  &Char_8Bit(\%h);
+  _Char_8Bit(\%h);
   my($i)=$h{"i`"};
 
@@ -6055,9 +5959,9 @@
 }
 
-sub Date_Init_French {
-  print "DEBUG: Date_Init_French\n"  if ($Curr{"Debug"} =~ /trace/);
+sub _Date_Init_French {
+  print "DEBUG: _Date_Init_French\n"  if ($Curr{"Debug"} =~ /trace/);
   my($d)=@_;
   my(%h)=();
-  &Char_8Bit(\%h);
+  _Char_8Bit(\%h);
   my($e)=$h{"e'"};
   my($u)=$h{"u^"};
@@ -6132,9 +6036,9 @@
 }
 
-sub Date_Init_Romanian {
-  print "DEBUG: Date_Init_Romanian\n"  if ($Curr{"Debug"} =~ /trace/);
+sub _Date_Init_Romanian {
+  print "DEBUG: _Date_Init_Romanian\n"  if ($Curr{"Debug"} =~ /trace/);
   my($d)=@_;
   my(%h)=();
-  &Char_8Bit(\%h);
+  _Char_8Bit(\%h);
   my($p)=$h{"p"};
   my($i)=$h{"i^"};
@@ -6249,9 +6153,9 @@
 }
 
-sub Date_Init_Swedish {
-  print "DEBUG: Date_Init_Swedish\n"  if ($Curr{"Debug"} =~ /trace/);
+sub _Date_Init_Swedish {
+  print "DEBUG: _Date_Init_Swedish\n"  if ($Curr{"Debug"} =~ /trace/);
   my($d)=@_;
   my(%h)=();
-  &Char_8Bit(\%h);
+  _Char_8Bit(\%h);
   my($ao)=$h{"ao"};
   my($o) =$h{"o:"};
@@ -6333,9 +6237,9 @@
 }
 
-sub Date_Init_German {
-  print "DEBUG: Date_Init_German\n"  if ($Curr{"Debug"} =~ /trace/);
+sub _Date_Init_German {
+  print "DEBUG: _Date_Init_German\n"  if ($Curr{"Debug"} =~ /trace/);
   my($d)=@_;
   my(%h)=();
-  &Char_8Bit(\%h);
+  _Char_8Bit(\%h);
   my($a)=$h{"a:"};
   my($u)=$h{"u:"};
@@ -6422,9 +6326,9 @@
 }
 
-sub Date_Init_Dutch {
-  print "DEBUG: Date_Init_Dutch\n"  if ($Curr{"Debug"} =~ /trace/);
+sub _Date_Init_Dutch {
+  print "DEBUG: _Date_Init_Dutch\n"  if ($Curr{"Debug"} =~ /trace/);
   my($d)=@_;
   my(%h)=();
-  &Char_8Bit(\%h);
+  _Char_8Bit(\%h);
 
   $$d{"month_name"}=
@@ -6514,6 +6418,6 @@
 }
 
-sub Date_Init_Polish {
-  print "DEBUG: Date_Init_Polish\n"  if ($Curr{"Debug"} =~ /trace/);
+sub _Date_Init_Polish {
+  print "DEBUG: _Date_Init_Polish\n"  if ($Curr{"Debug"} =~ /trace/);
   my($d)=@_;
 
@@ -6613,9 +6517,9 @@
 }
 
-sub Date_Init_Spanish {
-  print "DEBUG: Date_Init_Spanish\n"  if ($Curr{"Debug"} =~ /trace/);
+sub _Date_Init_Spanish {
+  print "DEBUG: _Date_Init_Spanish\n"  if ($Curr{"Debug"} =~ /trace/);
   my($d)=@_;
   my(%h)=();
-  &Char_8Bit(\%h);
+  _Char_8Bit(\%h);
 
   $$d{"month_name"}=
@@ -6696,9 +6600,9 @@
 }
 
-sub Date_Init_Portuguese {
-  print "DEBUG: Date_Init_Portuguese\n"  if ($Curr{"Debug"} =~ /trace/);
+sub _Date_Init_Portuguese {
+  print "DEBUG: _Date_Init_Portuguese\n"  if ($Curr{"Debug"} =~ /trace/);
   my($d)=@_;
   my(%h)=();
-  &Char_8Bit(\%h);
+  _Char_8Bit(\%h);
   my($o) = $h{"-o"};
   my($c) = $h{",c"};
@@ -6792,9 +6696,9 @@
 }
 
-sub Date_Init_Russian {
-  print "DEBUG: Date_Init_Russian\n"  if ($Curr{"Debug"} =~ /trace/);
+sub _Date_Init_Russian {
+  print "DEBUG: _Date_Init_Russian\n"  if ($Curr{"Debug"} =~ /trace/);
   my($d)=@_;
   my(%h)=();
-  &Char_8Bit(\%h);
+  _Char_8Bit(\%h);
   my($a) =$h{"a:"};
 
@@ -6980,6 +6884,6 @@
 }
 
-sub Date_Init_Turkish {
-  print "DEBUG: Date_Init_Turkish\n"  if ($Curr{"Debug"} =~ /trace/);
+sub _Date_Init_Turkish {
+  print "DEBUG: _Date_Init_Turkish\n"  if ($Curr{"Debug"} =~ /trace/);
   my($d)=@_;
 
@@ -7091,6 +6995,6 @@
 }
 
-sub Date_Init_Danish {
-  print "DEBUG: Date_Init_Danish\n"  if ($Curr{"Debug"} =~ /trace/);
+sub _Date_Init_Danish {
+  print "DEBUG: _Date_Init_Danish\n"  if ($Curr{"Debug"} =~ /trace/);
   my($d)=@_;
 
@@ -7170,6 +7074,6 @@
 }
 
-sub Date_Init_Catalan {
-  print "DEBUG: Date_Init_Catalan\n"  if ($Curr{"Debug"} =~ /trace/);
+sub _Date_Init_Catalan {
+  print "DEBUG: _Date_Init_Catalan\n"  if ($Curr{"Debug"} =~ /trace/);
   my($d)=@_;
 
@@ -7266,5 +7170,5 @@
 no integer;
 
-# &ModuloAddition($N,$add,\$val,\$rem);
+# _ModuloAddition($N,$add,\$val,\$rem);
 #   This calculates $val=$val+$add and forces $val to be in a certain range.
 #   This is useful for adding numbers for which only a certain range is
@@ -7275,6 +7179,6 @@
 #   Example:
 #     To add 2 hours together (with the excess returned in days) use:
-#       &ModuloAddition(60,$s1,\$s,\$day);
-sub ModuloAddition {
+#       _ModuloAddition(60,$s1,\$s,\$day);
+sub _ModuloAddition {
   my($N,$add,$val,$rem)=@_;
   return  if ($N==0);
@@ -7303,9 +7207,9 @@
 }
 
-# $Flag=&IsInt($String [,$low, $high]);
+# $Flag=_IsInt($String [,$low, $high]);
 #    Returns 1 if $String is a valid integer, 0 otherwise.  If $low is
 #    entered, $String must be >= $low.  If $high is entered, $String must
 #    be <= $high.  It is valid to check only one of the bounds.
-sub IsInt {
+sub _IsInt {
   my($N,$low,$high)=@_;
   return 0  if (! defined $N  or
@@ -7316,36 +7220,5 @@
 }
 
-# $Pos=&SinLindex(\@List,$Str [,$offset [,$CaseInsensitive]]);
-#    Searches for an exact string in a list.
-#
-#    This is similar to RinLindex except that it searches for elements
-#    which are exactly equal to $Str (possibly case insensitive).
-sub SinLindex {
-  my($listref,$Str,$offset,$Insensitive)=@_;
-  my($i,$len,$tmp)=();
-  $len=$#$listref;
-  return -2  if ($len<0 or ! $Str);
-  return -1  if (&Index_First(\$offset,$len));
-  $Str=uc($Str)  if ($Insensitive);
-  for ($i=$offset; $i<=$len; $i++) {
-    $tmp=$$listref[$i];
-    $tmp=uc($tmp)  if ($Insensitive);
-    return $i  if ($tmp eq $Str);
-  }
-  return -1;
-}
-
-sub Index_First {
-  my($offsetref,$max)=@_;
-  $$offsetref=0  if (! $$offsetref);
-  if ($$offsetref < 0) {
-    $$offsetref += $max + 1;
-    $$offsetref=0  if ($$offsetref < 0);
-  }
-  return -1 if ($$offsetref > $max);
-  return 0;
-}
-
-# $File=&CleanFile($file);
+# $File=_CleanFile($file);
 #   This cleans up a path to remove the following things:
 #     double slash       /a//b  -> /a/b
@@ -7353,5 +7226,5 @@
 #     leading dot        ./a    -> a
 #     trailing slash     a/     -> a
-sub CleanFile {
+sub _CleanFile {
   my($file)=@_;
   $file =~ s/\s*$//;
@@ -7366,5 +7239,5 @@
 }
 
-# $File=&ExpandTilde($file);
+# $File=_ExpandTilde($file);
 #   This checks to see if a "~" appears as the first character in a path.
 #   If it does, the "~" expansion is interpreted (if possible) and the full
@@ -7374,5 +7247,5 @@
 #   This is Windows/Mac friendly.
 #   This is efficient.
-sub ExpandTilde {
+sub _ExpandTilde {
   my($file)=shift;
   my($user,$home)=();
@@ -7401,18 +7274,18 @@
 }
 
-# $File=&FullFilePath($file);
+# $File=_FullFilePath($file);
 #   Returns the full or relative path to $file (expanding "~" if necessary).
 #   Returns an empty string if a "~" expansion cannot be interpreted.  The
-#   path does not need to exist.  CleanFile is called.
-sub FullFilePath {
+#   path does not need to exist.  _CleanFile is called.
+sub _FullFilePath {
   my($file)=shift;
   my($rootpat) = '^/'; #default pattern to match absolute path
   $rootpat = '^(\\|/|([A-Za-z]:[\\/]))' if ($OS eq 'Windows');
-  $file=&ExpandTilde($file);
+  $file=_ExpandTilde($file);
   return ""  if (! $file);
-  return &CleanFile($file);
-}
-
-# $Flag=&CheckFilePath($file [,$mode]);
+  return _CleanFile($file);
+}
+
+# $Flag=_CheckFilePath($file [,$mode]);
 #   Checks to see if $file exists, to see what type it is, and whether
 #   the script can access it.  If it exists and has the correct mode, 1
@@ -7429,8 +7302,8 @@
 #   All characters in $mode which do not correspond to valid tests are
 #   ignored.
-sub CheckFilePath {
+sub _CheckFilePath {
   my($file,$mode)=@_;
   my($test)=();
-  $file=&FullFilePath($file);
+  $file=_FullFilePath($file);
   $mode = ""  if (! defined $mode);
 
@@ -7464,5 +7337,5 @@
 #&&
 
-# $Path=&FixPath($path [,$full] [,$mode] [,$error]);
+# $Path=_FixPath($path [,$full] [,$mode] [,$error]);
 #   Makes sure that every directory in $path (a colon separated list of
 #   directories) appears as a full path or relative path.  All "~"
@@ -7482,5 +7355,5 @@
 #
 #   The corrected path is returned.
-sub FixPath {
+sub _FixPath {
   my($path,$full,$mode,$err)=@_;
   local($_)="";
@@ -7502,7 +7375,7 @@
     # Expand path
     if ($full) {
-      $_=&FullFilePath($_);
+      $_=_FullFilePath($_);
     } else {
-      $_=&ExpandTilde($_);
+      $_=_ExpandTilde($_);
     }
     if (! $_) {
@@ -7512,5 +7385,5 @@
 
     # Check mode
-    if (! $mode  or  &CheckFilePath($_,$mode)) {
+    if (! $mode  or  _CheckFilePath($_,$mode)) {
       $path .= $Cnf{"PathSep"} . $_;
     } else {
@@ -7523,24 +7396,24 @@
 #&&
 
-# $File=&SearchPath($file,$path [,$mode] [,@suffixes]);
+# $File=_SearchPath($file,$path [,$mode] [,@suffixes]);
 #   Searches through directories in $path for a file named $file.  The
 #   full path is returned if one is found, or an empty string otherwise.
 #   The file may exist with one of the @suffixes.  The mode is checked
-#   similar to &CheckFilePath.
+#   similar to _CheckFilePath.
 #
 #   The first full path that matches the name and mode is returned.  If none
 #   is found, an empty string is returned.
-sub SearchPath {
+sub _SearchPath {
   my($file,$path,$mode,@suff)=@_;
   my($f,$s,$d,@dir,$fs)=();
-  $path=&FixPath($path,1,"r");
+  $path=_FixPath($path,1,"r");
   @dir=split(/$Cnf{"PathSep"}/,$path);
   foreach $d (@dir) {
     $f="$d/$file";
     $f=~ s|//|/|g;
-    return $f if (&CheckFilePath($f,$mode));
+    return $f if (_CheckFilePath($f,$mode));
     foreach $s (@suff) {
       $fs="$f.$s";
-      return $fs if (&CheckFilePath($fs,$mode));
+      return $fs if (_CheckFilePath($fs,$mode));
     }
   }
